/* ###################################### Estilo do Site para dispositivos de telas grande ############################################# */
* {
  margin: 0;
  padding: 0;
}
/* setup das variaveis*/
:root {
  --verde-fundo: #90e99f5e;
  --branco-principal: #ffffff;
  --fonte-principal: "Lustria";
  --verde-principal: #287b2a;
  --marrom-principal: #513125;
  --azul-principal: #2196f3;
  --azul-rodape: #336699;
  --link: #0a4804;
  --preto-titulo: #000000;
}

/* configurações do corpo como fontes e cores*/
body {
  background-color: var(--verde-fundo);
  color: var(--preto-titulo);
  font-family: var(--fonte-principal);
  font-size: 20px;
  font-weight: 400;
}
/*Configurações de efeitos do mouse */
a:link {
  text-decoration: none;
  color: var(--link);
}
a:visited {
  color: var(--preto-titulo);
}
a:hover {
  text-decoration: underline;
  color: var(--azul-principal);
}
a:active {
  text-decoration: none;
}

/*estilo dos containers genericos*/
.container {
  margin-top: 50px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

/*estilos do cabeçalho*/
.cabecalho {
  background-image: url("img/cabecalho.jpeg");
  background-size: cover;
  background-position: center;
  text-align: center;
  padding: 50px 0;
}
.logo__principal {
  width: 250px;
}
.texto__cabecalho {
  font-size: 3em;
  font-weight: 700;
  color: var(--branco-principal);
  background: rgba(10, 87, 19, 0.596);
}
.subtitulo__cabecalho {
  font-size: 1.5em;
  color: var(--branco-principal);
  margin-bottom: 20px;
  background: rgba(10, 87, 19, 0.596);
}

/* estilo seção 1*/
.secao1__descricao {
  text-align: center;
  padding: 20px;
}
.secao1__titulo {
  font-weight: 700;
  font-size: 2.5em;
  color: var(--verde-principal);
  margin-bottom: 0.5em;
}
.secao1__texto {
  margin-top: 20px;
  font-size: 1.25em;
  line-height: 1.6;
  color: var(--marrom-principal);
}

/* estilo seção 2*/
.secao2__descricao {
  text-align: center;
  padding: 20px;
}
.secao2__titulo {
  font-weight: 700;
  font-size: 2.5em;
  color: var(--verde-principal);
  margin-bottom: 0.5em;
}
.secao2__texto {
  margin-top: 20px;
  margin-bottom: 1.5em;
  font-size: 1.25em;
  line-height: 1.6;
  color: var(--marrom-principal);
}
.secao2__imagem {
  width: 700px;
  height: 500px;
  justify-content: center;
  margin: auto;
}

.secao2__subtitulo{
  margin-top: 20px;
  font-size: 1.25em;
  line-height: 1.6;
  color: var(--marrom-principal);
}

/*carrossel*/

.carrossel-titulo{
  text-align: center;
  font-weight: 700;
  font-size: 2.5em;
  color: var(--verde-principal);
  margin-bottom: 0.5em;
}

.slider{
  margin: 0 auto;
  width: 800px;
  height: 400px;
  overflow: hidden;
}

.slides{
  width: 400%;
  height: 400px;
  display: flex;
}

.slides input{
  display: none;
}

.slide{
  width: 25%;
  position: relative;
  transition: 2s;
}

.slide img{
  width: 800px;
}

.manual-navigation{
  position: absolute;
  width: 800px;
  margin-top: -40px;
  display: flex;
  justify-content: center;
}

.manual-btn{
  border: 2px solid #FFF;
  padding: 5px;
  border-radius: 10px;
  cursor: pointer;
  transition: 1s;
}

.manual-btn:not(:last-child){
  margin-right: 40px;
}

.manual-btn:hover{
  background-color: #FFF;
}

#radio1:checked ~ .first{
margin-left: 0;
}

#radio2:checked ~ .first{
  margin-left: -25%;
}

#radio3:checked ~ .first{
  margin-left: -50%;
}

#radio4:checked ~ .first{
  margin-left: -75%;
}

.navigation-auto div{
  border: 2px solid #20a6ff;
  padding: 5px;
  border-radius: 10px;
  cursor: pointer;
  transition: 1s;
}

.navigation-auto{
  position: absolute;
  width: 800px;
  margin-top: 360px;
  display: flex;
  justify-content: center;
}

.navigation-auto div:not(:last-child){
  margin-right: 40px;
}

#radio1:checked ~ .navigation-auto .auto-btn1{
  background-color: #FFF;
}

#radio2:checked ~ .navigation-auto .auto-btn2{
  background-color: #FFF;
}

#radio3:checked ~ .navigation-auto .auto-btn3{
  background-color: #FFF;
}

#radio4:checked ~ .navigation-auto .auto-btn4{
  background-color: #FFF;
}

/*carrossel*/

/* estilo seção 3*/
.secao3__titulo {
  text-align: center;
  margin-top: 50px;
}
.secao3__img__titulo {
  font-weight: 700;
  font-size: 2.5em;
  color: var(--verde-principal);
}
.secao3__subtitulo {
  text-align: center;
  padding: 20px;
}
.secao3__img__subtitulo {
  font-size: 1.5em;
  color: var(--marrom-principal);
  margin-top: 20px;  
}

.secao3__imagem{
  text-align: center;
  margin: auto;
  height: 500px;
  width: 800px;
}

/* estilo seção 4*/
.secao4__imagem {
  background-image: url("img/folhagens.jpg");
  background-size: cover;
  background-position: center;
  width: 100%;
  height: 300px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--branco-principal);
}
.secao4__texto {
  background: rgba(0, 0, 0, 0.5);
  padding: 20px;
  text-align: center;
}
.secao4__info {
  font-size: 1.5em;
}

/* estilo seção 5*/
.secao5 {
  padding: 50px 20px;
  text-align: center;
}
.secao5__texto {
  font-size: 1.25em;
  color: var(--marrom-principal);
}

.secao-mensagem {
  padding: 50px 20px;
  text-align: center;
  background-color: var(--verde-fundo);
}
.secao-mensagem__titulo {
  font-size: 2.5em;
  color: var(--verde-principal);
  margin-bottom: 20px;
}
.form-mensagem {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.form-mensagem label {
  margin-top: 10px;
  font-size: 1.2em;
  color: var(--marrom-principal);
}
.form-mensagem input, .form-mensagem textarea {
  margin-top: 5px;
  padding: 10px;
  width: 80%;
  border: 1px solid var(--marrom-principal);
  border-radius: 5px;
}
.form-mensagem button {
  margin-top: 20px;
  padding: 10px 20px;
  background-color: var(--verde-principal);
  color: var(--branco-principal);
  border: none;
  border-radius: 5px;
  cursor: pointer;
}
.form-mensagem button:hover {
  background-color: var(--azul-principal);
}


/* estilo do rodape */
.rodape {
  position: relative;
  background-color: var(--link);
  color: var(--branco-principal);
  padding: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.rodape__logo {
  width: 100px;
  margin-bottom: 10px;
}

.rodape__lista {
  list-style: none;
  padding: 0;
  display: flex;
  justify-content: flex-start;
  flex-wrap: wrap;
  width: 100%;
  order: 1;
}

.lista__link {
  margin: 0 10px;
}

.lista__link a {
  color: var(--branco-principal);
  text-decoration: none;
}

.lista__link a:hover {
  text-decoration: underline;
}

#botao__inicio {
  display: none; /* Escondido */
  position: fixed;
  bottom: 20px;
  right: 20px;
  padding: 10px 20px;
  background-color: var(--azul-principal);
  color: var(--branco-principal);
  border: none;
  border-radius: 5px;
  cursor: pointer;
  z-index: 1000; /* aparecer sobre outros elementos */
}

#botao__inicio:hover {
  background-color: var(--verde-principal);
}

.contador-wrapper {
  background: rgba(0, 0, 0, 0.5);
  padding: 10px;
  border-radius: 5px;
  order: 2;
  width: 100%;
  text-align: center;
}

.contador {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 10px;
}

.contador-digito {
  background-color: var(--branco-principal);
  border-radius: 5px;
  padding: 10px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.contador-digito-numero {
  font-size: 2em;
  color: var(--azul-principal);
}

.contador-digito-texto {
  font-size: 1em;
  color: var(--marrom-principal);
}


/* Estilos para diferentes resoluções */

/* Mobile (<= 600px) */
@media (max-width: 600px) {

  #botao__inicio {
    padding: 10px 6px;
    bottom: 35px;
  }
  .rodape {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .rodape__lista {
    justify-content: center;
  }
  .rodape__logo {
    width: 300px;
  }

  .contador-wrapper {
    order: 3; /* Mover o cronômetro para o final */
    margin-top: 20px;
    width: 100%;
    text-align: center;
  }

  .contador {
    flex-direction: column; /* Ajustar os dígitos em uma coluna para melhor visualização */
    gap: 5px;
  }

  .contador-digito {
    width: 100%; /* Ajustar a largura dos dígitos para 100% */
    padding: 1px;
  }

  .contador-digito-numero {
    font-size: 1.5em; /* Ajustar o tamanho da fonte para melhor visualização em telas menores */
  }
  .rodape__logo{
    width: 200px;
    margin-right: 20px;
  }
  .img__links{
    border-radius:25px;
    width: 100px;
  }
}

/* Tablet (> 600px e <= 900px) */
@media (min-width: 601px) and (max-width: 900px) {
  #botao__inicio {
    padding: 6px 6px;
    bottom: 135px;
    right: 10px;
  }

  .rodape {
    flex-direction: column;
    align-items: center;
  }

  .rodape__lista {
    justify-content: center;
  }

  .contador-wrapper {
    order: 3; /* Mover o cronômetro para o final */
    margin-top: 20px;
    width: 100%;
    text-align: center;
  }

  .contador {
    flex-direction: row; /* Ajustar os dígitos em uma linha */
  }

  .contador-digito {
    width: auto; /* Ajustar a largura dos dígitos para auto */
  }

  .contador-digito-numero {
    font-size: 2em; /* Ajustar o tamanho da fonte */
  }
  .rodape__logo{
    width: 200px;
    margin-right: 20px;
  }
  .img__links{
    border-radius:25px;
    width: 100px;
  }
}

/* Desktop (> 900px) */
@media (min-width: 901px) {
  #botao__inicio {
    /*opacity: 0; 
   height: 0;*/
    visibility: hidden
  }
 
  .rodape {
    flex-direction: row;
    justify-content: space-between;
  }

  .rodape__lista {
    order: 1;
  }

  .contador-wrapper {
    order: 2;
    width: auto;
  }

  .contador {
    flex-direction: row; /* Ajustar os dígitos em uma linha */
  }

  .contador-digito {
    width: auto; /* Ajustar a largura dos dígitos para auto */
  }

  .contador-digito-numero {
    font-size: 2em; /* Ajustar o tamanho da fonte */
  }
  .rodape__logo{
    width: 200px;
    margin-right: 20px;
  }
  .img__links{
    border-radius:25px;
    width: 100px;
  }
}
